#! perl

use strict;
use warnings;

package Comics::Utils::Icon;

use MIME::Base64;

our $VERSION = "1.00";

sub icon {
    # <a href="http://cliparts.co">Clip art image by Cliparts.co</a>
    decode_base64(<<EOD);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==
EOD
}

1;
